.tooltip {
    position: relative;

    &__icon {
        padding: 0;
        font-size: 0;
        line-height: 0;
        fill: white;
        display: block;
        width: rem(16);
        height: rem(16);
        flex-shrink: 0;
        cursor: pointer;
        border-radius: 50%;
        background: var(--gray-10);
        transition: var(--transition-time);
    }

    &__content {
        right: 0;
        width: rem(325);
        font-size: rem(13);
        border-radius: rem(4);
        line-height: rem(20);
        color: var(--gray-50);
        padding: rem(6) rem(12);
        background-color: white;
        box-shadow: var(--shadow);
        border: 1px solid var(--gray-5);
        top: calc(100% + 4px);
        position: absolute;
        opacity: 0;
        visibility: hidden;
    }

    &__title {
        font-weight: 600;
        font-size: rem(13);
        line-height: rem(20);
        margin-bottom: rem(4);
    }

    &:hover {

        .tooltip__icon {
            background: var(--gray-20);
            transition: var(--transition-time);
        }
    }

    &.open {
        z-index: 100;

        .tooltip__icon {
            background: var(--blue);
            transition: var(--transition-time);
        }

        .tooltip__content {
            opacity: 1;
            visibility: visible;
        }
    }
}
